# Groups Migration API . archive

## Instance Methods

Inserts a new mail into the archive of the Google group.

### Method Details

`insert(groupId, media_body=None, media_mime_type=None)`

    Inserts a new mail into the archive of the Google group.

    Args:
      groupId: string, The group ID (required)
      media_body: string, The filename of the media request body, or an instance of a MediaUpload object.
      media_mime_type: string, The MIME type of the media request body, or an instance of a MediaUpload object.

    Returns:
      An object of the form:

        { # JSON response template for groups migration API.
        "kind": "groupsmigration#groups", # The kind of insert resource this is.
        "responseCode": "A String", # The status of the insert request.
      }